# Maintainer: David Runge <dave@sleepmap.de>

_pkgname=zsh-autosuggestions
pkgname=oh-my-${_pkgname}
pkgver=0.6.4
pkgrel=3
pkgdesc="Fish-like autosuggestions for oh-my-zsh "
arch=('any')
url="https://github.com/zsh-users/zsh-autosuggestions"
license=('MIT')
install=${pkgname}.install
source=("${_pkgname}-${pkgver}.tar.gz::https://github.com/zsh-users/${_pkgname}/archive/v${pkgver}.tar.gz")
sha512sums=('226b99048577ecdbe198501e6e4b3156c3d849994f0a2f7e15687cd244d4cac472cbcf746aaa32b2886652f6962852a475777b5f2bfcb3a6d0279be98a6020bb')

build() {
    cd "${_pkgname}-${pkgver}"
    make
}

package() {
    depends=('oh-my-zsh')

    cd "${_pkgname}-${pkgver}"
    install -vDm 644 ${_pkgname}{,.plugin}.zsh \
      -t "${pkgdir}/usr/share/oh-my-zsh/plugins/${_pkgname}/"
    # docs
    install -vDm 644 {CHANGELOG,README}.md \
      -t "${pkgdir}/usr/share/doc/${pkgname}/"
    # license
    install -vDm 644 LICENSE -t "${pkgdir}/usr/share/licenses/${pkgname}/"
} 
